/**********************************************/
/* font styles */
/**********************************************/

header.style-3 #more-menu-wrapper .social-media-links h3{
    font-size: 0.75em;
}
header.style-3 #more-menu nav li a {
    font-size: 0.9em;
}
header.style-3 #more-menu-wrapper .social-media-links ul a{
    font-size: 1.15em;
}
.main-visual-slogan-wrapper .slogan span:last-child {
	font-size: 1.4em;
}
.main-visual-slogan-wrapper .slogan,
footer h3{
    font-size: 1.5em;
}
#holder .full-width-menu .social-media-links a,
footer .social-media-links .sm-item .icon{
	font-size: 1.8em;
}
#holder .full-width-menu .close{
    font-size: 2em;
}

header.style-3 #more-menu-wrapper .logo-wrapper,
header.style-3 #more-menu-wrapper logo-wrapper,
footer{
    text-align: left;
}
.main-visual-default .main-visual-pager-wrapper .slick-dots{
    text-align: right;
}

header.style-3 #more-menu-wrapper .social-media-links h3,
#holder .full-width-menu nav a{
    text-transform: uppercase;
}
#holder .full-width-menu a{
    text-decoration: none;
}
#more-menu-wrapper nav > ul > li.show-on-768 {
	display: none;
}

.home-page h2 {
	margin: 0 auto 30px;
	text-align: center;
}

.menu-open #holder .holder-inner-wrapper{
    box-shadow: -3px 1px 3px 1px #393939;
}
.window-scrolled.menu-open #holder .holder-inner-wrapper{
    box-shadow: 0 0 0 1px #fff;
}
.menu-open .booking-panel.r2g-booking-panel {
	width: 100% !important;
}

/**********************************************/
/* end of font styles */
/**********************************************/

/**********************************************/
/* general styles */
/**********************************************/
    .home-page .strip-row.default-banner-full-height {
    	margin-bottom: 0;
    }
    .strip-row.simple-grid.with-gaps:nth-last-child(2),
    .strip-row.masonry-grid:not(.has-filter):nth-last-child(2),
    .r2g-xlist-main-strip:nth-last-child(2){
        margin-bottom: 20px;
    }
    .strip-row.simple-grid.with-gaps.variation-one{
        margin-bottom: 80px;
    }
    
    .with-gaps .flex-xlist > .xList-items > .xList-item {
    	padding-right: 15px;
    	padding-left: 15px;
    	margin-bottom: 60px;
    }
    .r2g-xlist-main-strip .xList-items > .xList-item,
    .r2g-flex-xlist-main-strip.no-margin-first-col .flex-xlist > .xList-items > .xList-item{
    	margin-bottom: 60px;
    }
    .without-gaps .flex-xlist > .xList-items > .xList-item,
    .strip-row.r2g-booking-panel{
        margin-bottom: 0;
    }
    
    .home-page .strip-row:not(.r2g-booking-panel):not(.footer-container):not(.default-banner-full-height){
        margin-bottom: 50px;
    }

/**********************************************/
/* end of general styles */
/**********************************************/

/**********************************************/
/* theme based component styles */
/**********************************************/
    body {
    	overflow-y: scroll;
    }
        #holder {
        	position: relative;
        	z-index: 1;
        	width: 100%;
            height: 100%;
        }
            header.style-3{
                z-index: 100;
            }
            .holder-inner-wrapper {
                min-height: 100%;
                position: relative;
                z-index: 10;
                -webkit-transition: -webkit-transform 0.4s;
                transition: transform 0.4s;

            	-webkit-transform: translateX(0);
            	transform: translateX(0);
            	-webkit-transform-origin: 50% 50%;
            	transform-origin: 50% 50%;
            }
                .scroll-container {
                	position: relative;
                	z-index: 1;
                	overflow: hidden;
                }
                
            #holder .full-width-menu {
            	height: 100%;
            	left: auto;
            	position: absolute;
            	top: 0;
            	z-index: 1;
            	opacity: 0;
            	display: block;
            	-webkit-transition: all 0.4s ease;
            	-ms-transition: all 0.4s ease;
            	transition: all 0.4s ease;
            	-webkit-transform-style: preserve-3d;
            	transform-style: preserve-3d;
            	right: 0;
            	width: 100%;
            }
            
        .perspective-modal-view #holder {
        	position: fixed;
        	-webkit-perspective: 1500px;
        	perspective: 1500px;
        }
            .menu-open header.style-3,
            .menu-open .holder-inner-wrapper {
            	-webkit-transform: translateX(-160px) rotateY(38deg);
            	transform: translateX(-160px) rotateY(32deg);
            }
            .perspective-modal-view .holder-inner-wrapper {
                position: absolute;
                overflow: hidden;
                width: 100%;
                height: 100%;
            }
                .window-scrolled header.style-3{
                    position: fixed;
                    top: 0;
                    left: 0;
                    width: 100%;
                    z-index: 100;
                    overflow: hidden;
                }
            
            
            
            
            
            
            
            
            
            
            
            
            
            
            
    /*body{
        overflow: hidden;
    }
        #holder {
        	position: relative;
        	width: 100%;
        	height: 100%;
        	-webkit-perspective: 2000px;
        	perspective: 2000px;
        	perspective-origin: 50% 50%;
        }
            #holder .holder-inner-wrapper {
            	position: relative;
            	width: 100%;
            	height: 100%;
            	overflow: hidden;
            	left: 0;
            	backface-visibility: hidden;
            	-webkit-transform: rotateY(0deg) translateX(0px);
            	-ms-transform: rotateY(0deg) translateX(0px);
            	transform: rotateY(0deg) translateX(0px);
            	-webkit-transition: all 500ms cubic-bezier(0.8, 0, 0.2, 0.9) 0s;
            	-ms-transition: all 500ms cubic-bezier(0.8, 0, 0.2, 0.9) 0s;
            	transition: all 500ms cubic-bezier(0.8, 0, 0.2, 0.9) 0s;
            }
            .menu-open #holder .holder-inner-wrapper {
                pointer-events: none;
            	-webkit-transform: rotateY(38deg) translateX(-180px);
            	-moz-transform: rotateY(38deg) translateX(-180px);
            	-ms-transform: rotateY(38deg) translateX(-180px);
            	transform: rotateY(38deg) translateX(-180px);
            }
                #holder .holder-inner-wrapper .scroll-container{
                    position: relative;
                    width: 100%;
                    height: 100vh;
                    overflow-y: scroll;
                    z-index: 1;
                }
                .menu-open #holder .holder-inner-wrapper .scroll-container{
                    overflow: hidden;
                }
            #holder .full-width-menu {
            	height: 100%;
            	left: 0;
            	position: fixed;
            	top: 0;
            	width: 100%;
            	z-index: -1;
            	opacity: 0;
            	display: block;
            	-webkit-transition: all 0.4s ease;
            	-ms-transition: all 0.4s ease;
            	transition: all 0.4s ease;
            }*/
            .menu-open #holder .full-width-menu {
                opacity: 1;
                -webkit-transition: all 0.4s ease 0.4s;
            	-ms-transition: all 0.4s ease 0.4s;
            	transition: all 0.4s ease 0.4s;
            }
                #holder .full-width-menu > span {
                    position: absolute;
                    top: 2.5%;
                    right: 2.5%;
                    cursor: pointer;
                    z-index: 1;
                }
                #holder .full-width-menu .more-menu-wrapper {
                	position: absolute;
                    top: 0;
                    right: 0;
                    width: 30%;
                    height: 100%;
                    box-sizing: border-box;
                    padding: 75px 25px 25px;
                }
                    #holder .full-width-menu .more-menu-wrapper .logo-wrapper {
                        margin-bottom: 40px;
                    }
                    .property #holder .full-width-menu .more-menu-wrapper .logo-wrapper,
                    .property.golden-crown #holder .full-width-menu .more-menu-wrapper .logo-wrapper {
                    	max-width: 90px;
                    }
                        #holder .full-width-menu .more-menu-wrapper .default-logo {
                            display: none;
                        }
                    .full-width-menu #more-menu {
                    	max-height: calc(100vh - 300px);
                    }
                    #holder .full-width-menu .more-menu-wrapper ul{
                        list-style-type: none;
                        margin: 0;
                        padding: 0;
                    }
                        #holder .full-width-menu .more-menu-wrapper ul li {
                        	margin-bottom: 20px;
                        }
                        #holder .full-width-menu .more-menu-wrapper li.show-on-768{
                            display: none;
                        }
                #holder .full-width-menu .social-media-links h3{
                    margin: 30px auto 6px;
                }
                #holder .full-width-menu .more-menu-wrapper li ul {
                	margin: 20px 0 0 20px;
                	display: none;
                }
                    #holder .full-width-menu .more-menu-wrapper li li:last-child {
                        margin-bottom: 0;
                    }
    
    /* header 3 */
    header.style-3 #branding{
        max-width: 212px;
        margin: 17px auto;
    }
    .menu-open header.style-3 #branding .on-scroll-logo {
    	opacity: 0;
    }
    .window-scrolled.menu-open header.style-3 #branding .on-scroll-logo{
        opacity: 1;
    }
    .golden-crown header.style-3 #branding,
    .serene-kandy header.style-3 #branding,
    .golden-ridge-hotel header.style-3 #branding,
    .the-victoria header.style-3 #branding,
    .the-clovelly-bungalow header.style-3 #branding,
    .westbury-palace header.style-3 #branding{
    	max-width: 110px;
    }
    .window-scrolled.golden-crown header.style-3 #branding,
    .window-scrolled.serene-kandy header.style-3 #branding,
    .window-scrolled.golden-ridge-hotel header.style-3 #branding,
    .window-scrolled.the-victoria header.style-3 #branding,
    .window-scrolled.the-clovelly-bungalow header.style-3 #branding,
    .window-scrolled.westbury-palace header.style-3 #branding{
    	max-width: 70px;
    }
    
    header.style-3 .top-bar .top-bar-wrapper > div {
    	margin-left: 12px;
    	vertical-align: middle;
    }
    header.style-3 .top-bar .r2g-contact-options {
    	top: -2px;
    }
    header.style-3 .top-bar .contact-email-only{
        margin-top: 0;
    }
    header.style-3 .top-bar .contact-tel-only{
        margin: 2px 2px 0 0;
    }
    header.style-3 .menu-btn {
    	top: 0;
    }
    header.style-3 #main-menu nav li {
    	padding: 10px 0 15px;
    	vertical-align: middle;
    }
        header.style-3 #main-menu li ul{
            overflow: visible;
            padding: 10px 20px;
            width: 210px;
            border-top: 0;
        }
        .window-scrolled header.style-3 #main-menu li ul{
            padding-top: 10px;
        }
        header.style-3 #main-menu li ul:before{
            content: '';
            width: 0;
            height: 0;
            border-left: 12px solid transparent;
            border-right: 12px solid transparent;
            border-bottom-width: 8px;
            border-bottom-style: solid;
            margin: auto;
            display: block;
            top: -18px;
            position: relative;
        }
        header.style-3 .menu-btn.menu-close-btn .menu-line.line-one,
        header.style-3 .menu-btn.menu-close-btn .menu-line.line-three{
        	-webkit-transform: none;
        	-ms-transform: none;
        	transform: none;
        }
        header.style-3 .menu-btn.menu-close-btn .menu-line.line-one{
            top: 5px;
        }
        header.style-3 .menu-btn.menu-close-btn .menu-line.line-two {
        	opacity: 1;
        }
        header.style-3 .menu-btn.menu-close-btn .menu-line.line-three {
        	top: 23px;
        }
        header.style-3 #more-menu-wrapper{
            display: none;
        }
        header.style-3 .header-bottom-bar .primary-button {
        	top: auto;
        	bottom: auto;
        	position: relative;
        	max-width: 0;
        	padding: 10px 0;
        	word-wrap: break-word;
            white-space: nowrap;
            overflow: hidden;
            display: inline-block;
            vertical-align: top;
            -webkit-transition: all 0.4s ease;
            -ms-transition: all 0.4s ease;
            transition: all 0.4s ease;
        }
        .window-scrolled header.style-3 .header-bottom-bar .primary-button {
            max-width: 150px;
            padding: 10px 15px;
            margin-left: 15px;
            position: relative;
            top: auto;
            bottom: auto;
        }
    header.style-3 #main-menu li:not(.has-submenu) a{
        position: relative;
    }
    header.style-3 #main-menu li:not(.has-submenu) a:after {
    	content: '';
    	position: absolute;
    	left: 0;
    	bottom: -6px;
    	width: 0;
    	height: 2px;
    	-webkit-transition: all 0.5s ease;
    	-ms-transition: all 0.5s ease;
    	transition: all 0.5s ease;
    }
    header.style-3 #main-menu li.active:not(.has-submenu) a:after,
    header.style-3 #main-menu li:not(.has-submenu) a:hover:after{
        width: 100%;
    }
    /* end of header 3 */
    
    /* main visual */
    .strip-row.default-banner-full-height {
    	margin-bottom: 0;
    }
    .main-visual-default .main-visual-slogan-wrapper {
    	bottom: 100px;
    }
        .main-visual-default .container {
        	border-right-width: 1px;
        	border-right-style: solid;
        	box-sizing: border-box;
        }
            .main-visual-slogan-wrapper .slogan {
            	line-height: 1.1;
            }
                .main-visual-slogan-wrapper .slogan span {
                	display: block;
                }
    .main-visual-default .main-visual-arrow-wrapper{
        display: none;
    }
    .main-visual-default .main-visual-pager-wrapper{
        bottom: 85px;
        width: 90%;
        left: 5%;
    }
        .main-visual-default .main-visual-pager-wrapper li {
        	border-width: 2px;
        }
        .main-visual-default .main-visual-pager-wrapper li.slick-active {
        	border-width: 6px;
        }
        .main-visual-default .main-visual-pager-wrapper li:last-child{
            margin-right: 0;
        }
        
    .main-visual-default .main-visual-slogan-wrapper,
    .main-visual-default .main-visual-pager-wrapper{
        -webkit-transition: all linear 0.4s;
        -ms-transition: all linear 0.4s;
        transition: all linear 0.4s;
    }
    /*.window-scrolled .main-visual-default .main-visual-slogan-wrapper {
    	bottom: 40px;
    }
    .window-scrolled .main-visual-default .main-visual-pager-wrapper {
    	bottom: 20px;
    }*/
    /* end of main visual */
    
    /* booking mask */
    .r2g-booking-panel{
        position: relative;
        display: block;
        width: 100%;
        max-height: 150px;
        padding: 20px 0;
        opacity: 1;
        -webkit-transition: all linear 0.4s;
        -ms-transition: all linear 0.4s;
        transition: all linear 0.4s;
    }
    
    .r2g-booking-panel .booking-blocks label {
        font-size: 0.8em;
    }
    .r2g-booking-panel .booking-blocks {
    	font-size: 0.85em;
    }
    
    /* on window scroll */
    .slide-up-bm.r2g-booking-panel {
    	opacity: 0;
    	max-height: 0;
    	padding: 20px 0;
    }
    
    /* position at the top */
    .slide-up-bm.r2g-booking-panel.fixed {
        position: fixed;
        top: -30px;
        left: 0;
        z-index: 1;
    }
    
    /* show/hide on click button */
    .show-bm .r2g-booking-panel.fixed {
        opacity: 1;
        max-height: 150px;
        padding: 30px 0;
    }
    .show-bm header.style-3 .header-bottom-bar .primary-button {
    	opacity: 0.7;
    	pointer-events: none;
    }
        .show-bm .r2g-booking-panel.fixed .close{
            position: absolute;
            top: 0px;
            display: block;
            right: 5px;
            cursor: pointer;
            font-size:1.5em;
        }
        
    .booking-panel .booking-blocks.promo-code:after {
    	background: #fff;
    }
    .r2g-booking-panel .submit {
    	line-height: 40px;
    }
    .r2g-booking-panel .best-rate-guaranteed{
        margin: 16px 0 0;
    }
        .r2g-booking-panel .best-rate-guaranteed span {
        	line-height: 1.1;
        }
    
    .ui-datepicker td .ui-state-default {
        padding: 6px 10px;
        border-radius: 100%;
    }
    /* end of booking mask */
    
    /* breadcrumb */
    .strip-row.r2g-breadcrumb{
        margin-top: 20px;
    } 
    /* end of breadcrumb */
    
    /* grid style */
    .r2g-xlist-main-strip.variation-two .xList-items {
    	display: -webkit-box;
    	display: -moz-box;
    	display: -ms-flexbox;
    	display: -moz-flex;
    	display: -webkit-flex;
    	display: flex;
    	-webkit-flex: 1;
    	flex-flow: wrap column;
    	-webkit-flex-flow: row wrap;
    	position: relative;
    }    
    .r2g-xlist-main-strip.variation-two .col-two {
    	width: 45%;
    	display: -webkit-box;
    	display: -moz-box;
    	display: -ms-flexbox;
    	display: -moz-flex;
    	display: -webkit-flex;
    	display: flex;
    	align-items: center;
    }
    .r2g-xlist-main-strip.variation-two .col-three {
    	width: 55%;
    }
        .r2g-xlist-main-strip.variation-two .col-three > .xList-item {
        	height: auto;
        } 
        
    .r2g-xlist-main-strip.variation-two .r2g-content-block-list-component {
    	padding: 30px 30px 0 calc(100vw * 5 / 100);
    }
    /* end of grid style */
    
    /* main content block */
    .main-content-block {
    	padding: 5px 35px 0;
    }
    /* end of main content block */
    
    /* xbox */
    
        /* defaault component */
        .option-one.default-component .r2g-xbox .flex-container {
            padding: 60px 0 0;
        }
        .option-two.default-component .r2g-xbox .flex-container{
            padding: 0 0 0 30px;
        }
        .option-five.default-component .r2g-xbox .flex-container{
        	padding: 0 30px 0 0;
        }
        .xbox-style-2 .r2g-xbox.r2g-main-strip .flex-items, 
        .xbox-style-2 .r2g-xbox.r2g-list-component .flex-items {
            padding: 60px;
        }
        .simple-rotator-with-pager .content-on-top.option-eight.default-component{
            padding: 0 15px;
        }
        .content-on-top.option-eight.default-component .r2g-sub-component .image-wrapper{
            height: 645px;
            overflow: hidden;
        }
            .content-on-top.option-eight.default-component .r2g-sub-component .image-wrapper img{
                height: 100%;
                width: auto;
                max-width: none;
                position: relative;
                top: 50%;
                left: 50%;
                -webkit-transform: translate(-50%, -50%);
                -ms-transform: translate(-50%, -50%);
                transform: translate(-50%, -50%);
                
                /************************************
                 ** Add below only for a fix
                 ** Need to seach better solution
                 ** Added by Asanka
                 ************************************/
                min-height: 100%;
                height: auto;
                min-width: 100%;
            }
        .content-on-top.option-eight.default-component .r2g-sub-component .flex-container{
            position: absolute;
            top: 0;
            left: 0;
            height: 100%;
            box-sizing: border-box;
        }
        .r2g-xbox-strip-component.option-six.default-component .r2g-xbox,
        .r2g-xbox-strip-component.option-eighteen.default-component .r2g-xbox{
            align-items: start;
        }
        .xbox-style-1.image-on-right.wrap-text .r2g-xbox .image-wrapper {
        	padding-left: 30px;
        }
        .r2g-xbox-strip-component.xbox-style-2.option-eight.default-component .container > .intro-content {
        	padding: 0;
        }
        .xbox-style-2.option-eleven.default-component .r2g-list-component .flex-container {
        	padding: 0;
        }
        .r2g-xbox-strip-component.two-col-xbox .flex-container {
        	padding: 0;
        }
        .r2g-xbox-strip-component.two-col-xbox .flex-container .flex-items{
            width: 50%;
            box-sizing: border-box;
            padding: 30px;
        }
        .r2g-xbox-strip-component.two-col-xbox .flex-container .flex-items:first-child{
            padding-left: 0;
        }
        .r2g-xbox-strip-component.two-col-xbox .flex-container .flex-items:last-child{
            padding: 30px 0 30px 30px;
            border-left: 1px solid #fff;
        }
        
        .large-image.option-six .r2g-xbox .flex-container {
        	padding: 0 30px 0 0;
        }
        .large-image.option-three .r2g-xbox .flex-container {
        	padding: 0 0 0 30px;
        }
        .r2g-xbox-list-component.option-thirteen.variation-one .flex-items,
        .home-page .tabs-vertical .r2g-xbox-list-component.option-thirteen.variation-one .flex-items{
            padding: 30px;
            width: 60%;
            max-width: 405px;
            left: auto;
            height: auto;
            box-sizing: border-box;
        }
            .r2g-xbox-list-component.option-thirteen.variation-one .rates-wrapper.rates-with-button {
            	flex-flow: row;
            	margin: 0;
            	justify-content: space-between;
            	max-width: none;
            }
                .r2g-xbox-list-component.option-thirteen.variation-one .rates-wrapper.rates-with-button .rate-inner {
                	margin: 0 20px 0 0;
                }
        .r2g-xbox-list-component.option-thirteen.variation-one .r2g-list-component .flex-container{
            height: 100%;
        }
        
        
        /* variation one */
        .option-one.variation-one .r2g-xbox .flex-container {
            padding: 60px 60px 0;
        }
        .option-one.variation-one .r2g-xbox .intro-content {
        	right: 30px;
        	left: auto;
        	width: calc(100% - 60px);
        	text-align: right;
        }
        
        /* variation two */
        .option-one.variation-two .r2g-xbox .flex-container {
            padding: 60px;
        }
        
        /* custom */
        .xbox-with-more-content .close-btn{
            right: 0;
        }
        .xbox-with-more-content .r2g-single-level-tab .close-btn {
        	top: 15px;
        	right: 5%;
        }
        
        
        .xbox-style-2 .r2g-xbox.r2g-main-strip .flex-container,
        .xbox-style-2 .r2g-xbox.r2g-list-component .flex-container{
            -webkit-transform: none;
            -ms-transform: none;
            transform: none;
        }
    /* end of xbox */
    
    /* flex xlist */
    .simple-grid.with-gaps.variation-one .container {
    	width: 100%;
    }
        .simple-grid.with-gaps.variation-one > .container > .intro-content {
        	padding: 0;
        	width: 90%;
        	margin: 0 auto;
        }
        .simple-grid.with-gaps.variation-one .flex-xlist > .xList-items {
        	margin-right: 0;
        	margin-left: -1px;
        }
            .simple-grid.with-gaps.variation-one .flex-xlist > .xList-items > .xList-item {
            	padding-right: 1px;
            	padding-left: 1px;
            	margin-bottom: 2px;
            }
            
    .masonry-grid.has-filter.default-component .flex-xlist > .xList-items {
    	margin-right: 0;
    	margin-left: 0;
    }
        .masonry-grid.has-filter.default-component .flex-xlist > .xList-items > .xList-item {
        	padding: 0 2px 0 0;
        }

    /* end of flex xlist */
    
    /* content block */
    .r2g-xlist-accordion .r2g-content-block-sub-component.default-component {
        column-count: 2;
        column-gap: 30px;
    }
    /* end of content block */
    
    /* rotator */
    .strip-row.default-component .r2g-rotator-1 .rotatorElement > .xList-items {
        margin: 0 -15px;
    }
        .strip-row.default-component .r2g-rotator-1 .xbox-default {
        	padding: 0 15px;
        }
        
    .r2g-rotator-with-mainstrip.variation-two .arrows-wrapper {
    	width: 98%;
    	left: 1%;
    }
    /* end of rotator */
    
    /* tabs - horizontal */
    .tabs-first-level > .xList-intro .title-wrapper:after,
    .tabs-horizontal .title-wrapper li {
    	border: none;
    }
    .tabs-horizontal .title-wrapper li.active span {
    	padding: 8px 0;
    	border-bottom: 1px solid;
    }
    .tabs-horizontal .arrows-wrapper {
    	padding: 1px;
    }
    
    .tabs-horizontal .xbox-default.option-one.variation-one .flex-container {
        width: 80%;
        margin: 0 auto;
    }
    /* end of tabs - horizontal */
    
    /* single level tab */
    .r2g-two-level-tab-vertical.option-two.variation-two .title-wrapper .top-level{
        display: block;
    }
    .r2g-two-level-tab-vertical.option-two.variation-two .title-wrapper .cat-name{
        position: relative;
        padding: 0 0 0 30px;
    }
    .r2g-two-level-tab-vertical.option-two.variation-two .title-wrapper .cat-name:before {
        content: '';
        width: 20px;
        height: 1px;
        position: absolute;
        top: 50%;
        left: 0;
        -webkit-transform: translateY(-50%);
        -ms-transform: translateY(-50%);
        transform: translateY(-50%);
    }
    .r2g-two-level-tab-vertical.option-two.variation-two .title-wrapper .cat-name,
    .r2g-two-level-tab-vertical.option-two.variation-two .title-wrapper .cat-name:before{
        -webkit-transition: all 0.4s ease;
        -ms-transition: all 0.4s ease;
        transition: all 0.4s ease;
    }
    .r2g-two-level-tab-vertical.option-two.variation-two .title-wrapper .tab-items.active .cat-name{
        padding: 0 0 0 60px;
    }
    .r2g-two-level-tab-vertical.option-two.variation-two .title-wrapper .tab-items.active .cat-name:before {
        width: 50px;
    }
    
    .r2g-two-level-tab-vertical.option-two.variation-two .tabs-vertical {
        position: relative;
    }
        .r2g-two-level-tab-vertical.option-two.variation-two .tabs-vertical > ul.xList-items {
        	margin: 0;
        	width: 100%;
        }
    /* end of single level tab */
    
    /* xlist */
    .r2g-xlist-main-strip li:nth-child(2) .r2g-content-block-list-component.default-component:first-child {
    	margin-left: 5%;
    	width: calc(45% - 32px);
    	padding-right: 30px;
    }
    .r2g-xlist-main-strip li:nth-child(2) .r2g-content-block-list-component.default-component:nth-child(2) {
    	width: calc(45% - 33px);
    	margin-right: 5%;
    	margin-top: 0;
    	padding-left: 30px;
    	border-left: 1px solid #ccc;
    }
    /* xlist */
    
    /* google map */
    .gmap-wrapper .content-coll {
    	padding: 40px 5% 0;
    }
    
    .variation-one .tabs-horizontal .gmap-wrapper{
        width: 90%;
        padding: 0;
        margin: 0 auto 60px;
    }
    /* end of google map */
    
    /* forms */
    .no-margin-first-col .xList-items > li:first-child {
    	flex-basis: 100vw;
    	max-width: 100vw;
    }
    /* end of forms */
    
    /* custom filter */
    .masonry-grid.variation-one .form-group {
    	width: calc(50% - 15px);
    	margin: 0 0 30px 30px;
    }
    .masonry-grid.variation-one .form-group:first-child,
    .masonry-grid.variation-one .form-group:nth-child(3),
    .property .masonry-grid.variation-one .form-group:nth-child(4){
        margin-left: 0;
    }
    .property .masonry-grid.variation-one .form-group:nth-child(3){
        margin-left: 30px;
    }
    /* end of custom filter */
    
    /* reviews block */
    .r2g-content-block-sub-component.reviews-block {
    	padding: 0 6px 0 25px;
    }
    .r2g-content-block-sub-component.reviews-block.fancybox-content{
        padding: 60px;
        width: 80%;
        max-width: 785px;
    }   
        .r2g-content-block-sub-component.reviews-block .reviews-title span {
            font-family: 'latoregular';
        }
        .r2g-content-block-sub-component.reviews-block.fancybox-content .content-wrapper {
        	width: auto;
        	max-width: 565px;
        	margin: auto;
        }
    /* end of reviews block */
    
    /* two level tab - horizontal */
    .variation-one .tabs-horizontal .title-wrapper li {
    	border: 1px solid;
    	box-sizing: border-box;
    }
        .variation-one .tabs-horizontal .title-wrapper li.active span {
            border: none;
        }
        
    .variation-one .tabs-horizontal > ul.xList-items {
    	margin-top: 50px;
    }
    /* end of two level tab - horizontal */
    
    /* two level tab - vertical */
    .option-two.r2g-two-level-tab-vertical .tabs-first-level .title-wrapper .sub-level{
        -webkit-transition: none;
        -ms-transition: none;
        transition: none;
    }
    /* end of two level tab - vertical */
    
    
    
    
    /* home page */
        /* section two */
        /*.home-page .r2g-rotator-with-mainstrip.variation-one > .container > .intro-content {
        	position: absolute;
        	top: 0;
        	right: 5%;
        	z-index: 1;
        }*/
        /* section three */
        .home-page .expandable-xlist {
            height: auto;
        }
        .expandable-xbox.default-component .intro-content{
            padding: 20px;
        }
        .home-page .expandable-xlist .main-content-wrapper,
        .home-page .expandable-xlist .panel-wrap {
            width: 100%;
        }
        .home-page .expandable-xlist .expandable-xlist-wrapper{
            background: none !important;
        }
        .expandable-xlist .main-content-wrapper .content-wrapper {
        	padding: 0 5%;
        }
        .home-page .expandable-xlist .panel-wrap .arrows-wrapper{
            box-sizing: border-box;
            bottom: auto;
            top: 50%;
            -webkit-transform: translateY(-50%);
            -ms-transform: translateY(-50%);
            transform: translateY(-50%);
        }
        .property.home-page .r2g-rotator-with-mainstrip.default-component .view-more-wrapper {
        	position: absolute;
        	right: 20px;
        	bottom: 0;
        }
        .r2g-rotator-with-mainstrip.variation-one .simple-rotator-with-pager .view-more-wrapper {
        	margin-top: 0;
        }
            .simple-rotator-with-pager .view-more-wrapper .view-more {
            	margin: 30px 0 0;
            }
        /* end of section three */
        
        /* section four */
        .home-page .simple-rotator-with-pager .xbox-default.option-one .content-wrapper {
        	align-items: stretch;
        	padding: 0 0 0 20px;
        }
        .home-page .simple-rotator-with-pager .xbox-default.option-one .content-wrapper .title-wrapper {
        	flex-basis: 80%;
        	max-width: 80%;
        	padding: 15px 0;
        }
        .home-page .simple-rotator-with-pager .xbox-default.option-one .content-wrapper .title-wrapper ~ p {
        	flex-basis: 20%;
        	max-width: 20%;
        }
        /* end of section four */
    /* end of home page */
    
    /* propert home page */
        /* section one */
        .home-page .xbox-style-2.option-ten .r2g-xbox.r2g-main-strip .flex-items{
            padding: 30px 0;
            width: 50%;
            max-width: 405px;
        }
        
        /* section two */
        .home-page .r2g-rotator-with-mainstrip.variation-one .r2g-list-component{
            flex-flow: column;
        }
            .home-page .r2g-rotator-with-mainstrip.variation-one .r2g-list-component .image-wrapper {
                width: 100%;
                order: 0;
            }
            .home-page .r2g-rotator-with-mainstrip.variation-one .r2g-list-component .flex-container {
                width: 90%;
                padding: 0;
                left: 5%;
            }
            
        /* section three */
        .home-page.property .strip-row:nth-child(5) .content-wrapper ul {
            margin: 40px 0 0;
        }
        .home-page.property .strip-row:nth-child(5) .content-wrapper li {
        	width: calc(50% - 100px);
        	display: inline-block;
        	margin: 0 20px 16px;
        }
        
        /* section four */
        .home-page .r2g-single-level-tab.option-one.default-component .pager-title{
            border: none;
        }
        .home-page .r2g-single-level-tab.option-one.default-component .pager-title:before {
            position: relative;
        	width: auto;
        	height: auto;
        	left: auto;
        	top: auto;
        }
        .single-level-tab .options-wrapper .arrows-wrapper {
        	pointer-events: none
        }
            .single-level-tab .options-wrapper .arrows-wrapper .slick-arrow{
            	pointer-events: auto
            }
            
        .home-page .strip-row.default-component .r2g-rotator-1 .intro-content{
            width: 90%;
            margin: 0 auto;
        }
        .home-page .strip-row.default-component .r2g-rotator-1 .rotatorElement > .xList-items {
        	margin: 0 0 0 10px;
        }
        .home-page .strip-row.default-component .r2g-rotator-1 .xbox-default {
        	padding: 0 10px 0 0;
        }
        .home-page .option-one.default-component .option-thirteen .flex-container {
        	padding: 0;
        	height: 100%;
        }
            .home-page .option-one.default-component .option-thirteen .r2g-xbox .flex-items {
                width: 55%;
                box-sizing: border-box;
                padding: 30px;
                max-width: 370px;
            }
                .home-page .option-one.default-component .r2g-xbox .content-wrapper .feature-icon {
                	width: calc(33% - 2px);
                	text-align: center;
                }
                .home-page .option-one.default-component .r2g-xbox .rates-wrapper.rates-with-button {
                	flex-flow: row;
                }
                .home-page .option-one.default-component .r2g-xbox .rates-wrapper.rates-with-button .rate-inner {
                    margin: 0 20px 0 0;
                }
        
        .home-page .r2g-single-level-tab.option-one.default-component .main-slider {
        	padding-bottom: 60px;
        }
        .home-page .r2g-single-level-tab.option-one.default-component .options-wrapper {
        	height: 60px;
        }
        
        /* section five */
        .home-page .r2g-rotator-with-mainstrip.variation-two > .container {
            width: 100%;
        }
        .home-page .r2g-rotator-with-mainstrip.variation-two > .container > .intro-content {
            width: 90%;
            margin: 0 auto;
        }
        .home-page .r2g-rotator-with-mainstrip.variation-two .rotatorElement > ul {
            margin: 0 10px 0;
        }
        
        .home-page .r2g-rotator-with-mainstrip.variation-two .option-eight.default-component{
            padding: 0 10px;
        }
        .home-page .option-eight.default-component .r2g-sub-component .image-wrapper {
        	height: auto;
        }
            .home-page .option-eight.default-component .r2g-sub-component .image-wrapper img {
            	top: auto;
            	left: auto;
            	transform: none;
            	min-height: auto;
            	min-width: auto;
            	width: 100%;
            }
        .home-page .option-eight.default-component .r2g-sub-component .flex-container{
            position: relative;
        } 
        
    /* end of propert home page */
    
    /* footer */
    footer {
    	padding: 35px 0 20px;
    }
    .home-page .strip-row.footer-container {
    	margin: 80px 0 0;
    }
        footer h3{
            margin-top: 0;
        }
        .footer-inner-container .footer-item {
        	width: calc((100% - 4px) / 2);
        	display: inline-block;
        	vertical-align: top;
        	margin-bottom: 0;
        }
        .footer-inner-container .footer-item:first-child .footer.xbox-image{
            margin: 0;
        }
        .footer-inner-container .footer-item:nth-child(3n), 
        .footer-inner-container .footer-item:nth-child(4n) {
        	margin-top: 35px;
        }
            footer .xmenu-footer-with-heading ul {
            	height: auto;
            	flex-direction: column;
            	justify-content: start;
            	width: 100%;
            	max-height: 100px;
            }
                footer .xmenu-footer-with-heading ul li {
                	flex: 0 100%;
                }
            footer .social-media-links ul {
            	justify-content: left;
            }
        footer .copyright-bar {
        	padding: 18px 0 0;
        }
    /* end of footer */
    
    @media (min-width: 768px) and (max-width: 1023px){
        
        .r2g-two-level-tab-vertical.option-two.variation-two .tabs-vertical .select-box-wrapper {
        	display: block;
        }
        .home-page .r2g-xbox-strip-component.option-ten.default-component .r2g-main-strip{
            height: 440px;
        }
        
        /* custom tab vertical and custom xbox */
        .tab-vertical-custom .tabs-first-level .title-wrapper{
            width: 100%;
            max-width: none;
            padding: 0 5%;
        }
        .tab-vertical-custom .tabs-default.tabs-first-level .title-wrapper .sub-level{
            padding: 0;
        }
            .tab-vertical-custom .tabs-vertical .title-wrapper .sub-level-inner{
                width: calc(100% - 60px);
            }
                .tab-vertical-custom .tabs-vertical .title-wrapper p span {
                	padding: 4px 10px;
                	text-align: center;
                }
        .tab-vertical-custom .tabs-vertical .title-wrapper .arrows-wrapper {
        	width: 100%;
        	top: 50%;
        	left: 0;
        	position: absolute;
        	-webkit-transform: translateY(-50%);
        	-ms-transform: translateY(-50%);
        	transform: translateY(-50%);
        }
            .tabs-vertical .sub-level .arrows-wrapper .nav-left, 
            .tabs-vertical .sub-level .arrows-wrapper .nav-right {
            	-webkit-transform: none;
            	-ms-transform: none;
            	transform: none;
            	margin: 0;
            }
        .tab-vertical-custom .tabs-first-level .xList-items{
            width: 100%;
        }
        
        .xbox-with-more-content .xbox-style-2.parent-width-xbox .r2g-xbox.r2g-list-component .flex-container {
            position: relative;
        }
            .xbox-with-more-content .option-eleven.default-component .flex-container .flex-items {
            	width: 100%;
            	box-sizing: border-box;
            	padding: 60px 0 0;
            }
    }
    
    @media (min-width: 850px){
        #holder .full-width-menu .more-menu-wrapper {
        	width: 29%;
        }
    }
    @media (min-width: 950px){
        #holder .full-width-menu .more-menu-wrapper {
        	width: 27%;
        }
    }
    @media (max-width: 1023px){
        .simple-grid.one-col-xlist-768 .flex-xlist > .xList-items > .xList-item:nth-child(3n) .option-two.default-component .image-wrapper,
        .simple-grid.one-col-xlist-768 .flex-xlist > .xList-items > .xList-item:nth-child(3n) .option-five.default-component .image-wrapper {
            order: 0;
        }
        .simple-grid.one-col-xlist-768 .flex-xlist > .xList-items > .xList-item:nth-child(2n) .option-two.default-component .image-wrapper,
        .simple-grid.one-col-xlist-768 .flex-xlist > .xList-items > .xList-item:nth-child(2n) .option-five.default-component .image-wrapper {
            order: 1;
        }
        
        .simple-grid.one-col-xlist-768 .flex-xlist > .xList-items > .xList-item:nth-child(3n) .option-five.default-component .flex-container {
        	padding: 0 0 0 30px;
        }
        .simple-grid.one-col-xlist-768 .flex-xlist > .xList-items > .xList-item:nth-child(2n) .option-two.default-component .flex-container {
        	padding: 0 30px 0 0;
        }
    }
    
    
    /* booking mask */
    
    .booking-panel.r2g-booking-panel {
    	position: absolute;
    	left: 0;
    	width: 100%;
    	top: 56.25vw;
    	transform: translateY(-100%);
    }
    .booking-panel.r2g-booking-panel.slide-up-bm.fixed {
    	transform: translateY(0);
    }
    .r2g-booking-panel > .container {
    	width: 100%;
    	padding: 0 20px;
    	position: static;
    }
    .r2g-booking-panel form {
    	flex-basis: 100%;
    	max-width: 100%;
    }
    .r2g-booking-panel .best-rate {
        max-width: 100%;
    	position: absolute;
    	top: 0px;
    	left: 20px;
    	text-transform: none;
    	padding-right: 17px;
    	border-radius: 20px 15px 0 0;
    	background: #c0a84a;
    	-webkit-transform: translateY(-100%);
        -ms-transform: translateY(-100%);
        transform: translateY(-100%);
    }
    .r2g-booking-panel.slide-up-bm.fixed .best-rate {
        border-radius: 0 0 20px 15px;
    	top: auto;
    	bottom: 0px;
    	-webkit-transform: translateY(100%);
    	-ms-transform: translateY(100%);
    	transform: translateY(100%);
    }
        .r2g-booking-panel .best-rate span,
        .r2g-booking-panel .best-rate .starting-from{
        	display: inline-block;
        }
        .r2g-booking-panel .best-rate .starting-from,
        .r2g-booking-panel .best-rate .per-night,
        .r2g-booking-panel .best-rate .amount,
        .r2g-booking-panel .best-rate span {
        	font-size: 0.95em;
        }
        .r2g-booking-panel .best-rate .currency {
        	vertical-align: inherit;
        }
    
        .r2g-booking-panel .best-rate .starting-from {
        	padding: 10px 15px 8px 42px;
        	background: #b49006;
        	border-radius: 15px 15px 0 0;
        	margin-right: 9px;
        }
        .r2g-booking-panel.slide-up-bm.fixed .best-rate .starting-from {
        	border-radius:  0 0 15px 15px;
        }
        .r2g-booking-panel .best-rate .starting-from:before {
        	content: "\eb0f";
        	font-family: icomoon;
        	line-height: 1.2;
        	font-size: 1.85em;
        	position: absolute;
        	left: 10px;
        	top: 50%;
        	-webkit-transform: translateY(-50%);
        	-ms-transform: translateY(-50%);
        	transform: translateY(-50%);
        }
        
        .r2g-booking-panel .best-rate-guaranteed-wrapper{
            display:none;
        }
        
        .r2g-booking-panel .booking-blocks.hotel-selector {
        	max-width: 30%;
        	flex-basis: 30%;
        }
            .r2g-booking-panel select {
            	padding: 2px 30px 2px 4px;
            	overflow: hidden;
            	text-overflow: ellipsis;
            	white-space: nowrap;
                appearance: none;
                -webkit-appearance: none;
            }
            .r2g-booking-panel .choose.booking-blocks select {
            	padding: 2px 4px;
            }
            .r2g-booking-panel .booking-blocks.date-selector:after,
            .r2g-booking-panel .choose.booking-blocks:after {
            	bottom: 5px;
            	right: 8px;
            }
            .r2g-booking-panel input[type="text"],
            .r2g-booking-panel select {
            	height: 25px;
            	text-align-last:center;
            }
            .r2g-booking-panel input.promo-input{
                padding:2px 10px 2px 10px;
            }
        .r2g-booking-panel .booking-blocks {
        	max-width: 12%;
        	flex-basis: 12%;
        }
            
    
    
/* property */
.property .r2g-booking-panel form {
	flex-basis: 90%;
	max-width: 90%;
}
.property .r2g-booking-panel .booking-blocks {
	max-width: 88px;
	flex-basis: 88px;
}
.property  .r2g-booking-panel .booking-blocks.date-selector::after,
.property .r2g-booking-panel .choose.booking-blocks::after {
	bottom: 4px;
	right: 5px;
}

.property .r2g-booking-panel .booking-blocks.hotel-selector {
    display: none;
}

    
    
    /* booking mask end */
    
/**********************************************/
/* end of theme based component styles */
/**********************************************/

/** Home Social Wall **/
.home-page .simple-grid .xList-items > .xList-item{
    max-width: 100%;
    flex-basis: 100%;
}
.home-page .simple-grid .xList-items > .xList-item,
.home-page .simple-grid .xList-item:nth-child(2) > div {
    margin-bottom: 5px;
    padding: 0;
}

.home-page .simple-grid .xList-item:nth-child(2) > div:nth-child(3),
.home-page .simple-grid .xList-item:nth-child(2) > div:nth-child(4) {
    margin-bottom: 0;
}



.tabs-vertical > .xList-items > li,
.tabs-vertical .tabs-second-level > .xList-items > li{
    webkit-transition: all 500ms linear 0s;
    -ms-transition: all 500ms linear 0s;
    transition: all 500ms linear 0s;
}
.home-page .tabs-vertical .r2g-xbox.r2g-list-component .flex-items {
	opacity: 0;
	
	-webkit-transition: all 0.6s linear;
	-ms-transition: all 0.6s linear;
	transition: all 0.6s linear;
	
	-webkit-transform: translateY(50px);
	-ms-transform: translateY(50px);
	transform: translateY(50px);
}
.home-page .tabs-vertical li li.active .r2g-xbox.r2g-list-component .flex-items,
.home-page .without-sub-level .tabs-vertical li.active .r2g-xbox.r2g-list-component .flex-items{
 	opacity: 1;
 	-webkit-transform: translateY(0);
 	-ms-transform: translateY(0);
 	transform: translateY(0);
 }
 
 
 
/**********************************************/
/* animations */
/**********************************************/
.main-visual-default .container{
    border: none;
}
.main-visual-default .container:after {
    content: '';
    width: 1px;
    height: 0;
    background: #fff;
    position: absolute;
    top: 0;
    right: 0;
    transition: all 500ms linear 1s;
}
.main-visual-default .slick-active .container:after {
   height: 100%;
}
.slick-active .main-visual-slogan-wrapper .container{
    overflow: hidden;
}
.slick-active .main-visual-slogan-wrapper .container * {
    -webkit-animation-name: fadeInLeft;
    -moz-animation-name: fadeInLeft;
    -o-animation-name: fadeInLeft;
    animation-name: fadeInLeft;
    -webkit-animation-fill-mode: both;
    -moz-animation-fill-mode: both;
    -o-animation-fill-mode: both;
    animation-fill-mode: both;
    -webkit-animation-duration: 1s;
    -moz-animation-duration: 1s;
    -o-animation-duration: 1s;
    animation-duration: 1s;
    -webkit-animation-delay: 1s;
    -moz-animation-delay: 1s;
    -o-animation-duration:1s;
    animation-delay: 1s;
}
@-webkit-keyframes fadeInLeft {
    from {
        opacity:0;
        -webkit-transform: translatex(100px);
        -moz-transform: translatex(100px);
        -o-transform: translatex(100px);
        transform: translatex(100px);
    }
    to {
        opacity:1;
        -webkit-transform: translatex(0);
        -moz-transform: translatex(0);
        -o-transform: translatex(0);
        transform: translatex(0);
    }
}
@-moz-keyframes fadeInLeft {
    from {
        opacity:0;
        -webkit-transform: translatex(100px);
        -moz-transform: translatex(100px);
        -o-transform: translatex(100px);
        transform: translatex(100px);
    }
    to {
        opacity:1;
        -webkit-transform: translatex(0);
        -moz-transform: translatex(0);
        -o-transform: translatex(0);
        transform: translatex(0);
    }
}
@keyframes fadeInLeft {
    from {
        opacity:0;
        -webkit-transform: translatex(100px);
        -moz-transform: translatex(100px);
        -o-transform: translatex(100px);
        transform: translatex(100px);
    }
    to {
        opacity:1;
        -webkit-transform: translatex(0);
        -moz-transform: translatex(0);
        -o-transform: translatex(0);
        transform: translatex(0);
    }
}

/** Group Home Update **/
/* Hotel List */
.home-page .strip-row.r2g-rotator-with-mainstrip.text-align-right .r2g-rotator-1 .xbox-default {
    padding: 0 12px 0 0;
}

.home-page .r2g-rotator-with-mainstrip.text-align-right .xList-items > .xList-item:nth-child(-n+3) {
    display: block;
    width: 33.33%;
}